%define major   0
%define libname %mklibname synfigapp %{major}
%define develname %mklibname synfigapp -d

Name:           synfigstudio
Version:        1.2.0
Release:        %mkrel 1
Summary:        Vector-based 2D animation GUI
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://www.synfig.org
Source0:        http://downloads.sf.net/synfig/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(ETL) >= 0.04.21
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(synfig) >= %{version}
BuildRequires:  synfig
BuildRequires:  intltool
Requires:       synfig >= %{version}

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the graphical user interface for synfig.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfigstudio.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Provides:       synfigapp-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=c++11"

%configure2_5x \
    --disable-static \
    --disable-rpath \
    --disable-update-mimedb
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/synfig/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}/

%files -n %{libname}
%{_libdir}/libsynfigapp.so.%{major}
%{_libdir}/libsynfigapp.so.%{major}.*

%files -n %{develname}
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0/


%changelog
* Wed Jan 11 2017 akien <akien> 1.2.0-1.mga6
+ Revision: 1081130
- Version 1.2.0

* Tue Jan 12 2016 akien <akien> 1.0.2-1.mga6
+ Revision: 922243
- Version 1.0.2

* Wed Aug 26 2015 cjw <cjw> 1.0.1-2.mga6
+ Revision: 869438
- patch1: fix build with libsigc++ 2.5.2
- rebuild with gcc 5

* Fri Jul 31 2015 wally <wally> 1.0.1-1.mga6
+ Revision: 860042
- new version 1.0.1
- drop unneeded patches

* Sat Jan 10 2015 alexl <alexl> 0.64.1-4.mga5
+ Revision: 809660
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.64.1-3.mga5
+ Revision: 738851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.64.1-2.mga5
+ Revision: 689657
- Mageia 5 Mass Rebuild

  + fwang <fwang>
    - replace with mageia

* Sun Feb 16 2014 dams <dams> 0.64.1-1.mga5
+ Revision: 592501
- new version 0.64.1

* Sat Oct 19 2013 umeabot <umeabot> 0.64.0-2.mga4
+ Revision: 523992
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 0.64.0-1.mga4
+ Revision: 429267
- update file list
- br intltool
- new version 0.64.0

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-3.mga3
+ Revision: 383919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Dec 08 2012 malo <malo> 0.63.05-2.mga3
+ Revision: 328928
- update RPM group

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257352
- new verison 0.63.05

* Mon Apr 02 2012 sander85 <sander85> 0.63.02-2.mga2
+ Revision: 227884
- clean buildrequires
- clean spec
- fix startup crash

* Sun Oct 09 2011 wally <wally> 0.63.02-1.mga2
+ Revision: 153481
- new version 0.63.02
- new version 0.63.00
- disable static build
- imported package synfigstudio

